# Pass --without docs to rpmbuild if you don't want the documentation

Name:           gitweb-caching
Version:        1.6.5.2
Release:        1%{?dist}
%global SHA1    cda981c9765dabb7f34992de361eb35dce7857f6
Summary:        Simple web interface to git repositories w/ caching support
License:        GPLv2
Group:          Development/Tools
URL:            http://git.kernel.org/?p=git/warthog9/gitweb.git;a=snapshot;h=%{SHA1};sf=tgz
Source0:        gitweb-%{SHA1}.tar.gz
Source1:        gitweb-caching.conf.httpd
Patch0:         gitweb-caching-1.6-gitweb-home-link.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?fedora} >= 10
BuildArch:      noarch
%endif
Requires:       git

%description
Simple web interface to track changes in git repositories
w/ caching from John 'Warthog9' Hawley from kernel.org

%prep
%setup -n gitweb -q
%patch0 -p1

# Use these same options for every invocation of 'make'.
# Otherwise it will rebuild in %%install due to flags changes.
%define make_git \
make %{_smp_mflags} V=1 CFLAGS="$RPM_OPT_FLAGS" \\\
     ASCIIDOC8=1 ASCIIDOC_NO_ROFF=1 \\\
     BLK_SHA1=1 \\\
     ETC_GITCONFIG=%{_sysconfdir}/gitconfig \\\
     DESTDIR=$RPM_BUILD_ROOT \\\
     INSTALL="install -p" \\\
     INSTALLDIRS=vendor \\\
     htmldir=%{_docdir}/%{name}-%{version} \\\
     prefix=%{_prefix} \\\
     NO_CURL=1

%build
%{make_git} gitweb/gitweb.cgi gitweb/gitweb_defaults.pl

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_var}/www/gitweb-caching
install -pm 644 gitweb/*.png gitweb/*.css gitweb/gitweb_defaults.pl $RPM_BUILD_ROOT%{_var}/www/%{name}
install -pm 755 gitweb/gitweb.cgi $RPM_BUILD_ROOT%{_var}/www/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d
install -pm 0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc gitweb/README
%{_var}/www/%{name}/
%config(noreplace)%{_sysconfdir}/httpd/conf.d/%{name}.conf

%changelog
* Sun Dec 6 2009 John 'Warthog9' Hawley <warthog9@kernel.org>
- initial gitweb-caching spec file
